<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/ActionTurnOnTransmitter.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d5b/_action_turn_on_transmitter_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionTurnOnTransmitter.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/d5b/_action_turn_on_transmitter_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../dd/d5b/_action_turn_on_transmitter_8c.html#af728ccdc92b1cbbd321db8a345976ac6">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d6/d81/class_action_turn_on_transmitter_c_b.html">ActionTurnOnTransmitterCB</a> : <a class="code hl_class" href="../../de/df4/class_action_single_use_base_c_b.html">ActionSingleUseBaseCB</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d6/d81/class_action_turn_on_transmitter_c_b.html#a5d36119f620f5d8b7c2165d06b07478b">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d81/class_action_turn_on_transmitter_c_b.html#a5d36119f620f5d8b7c2165d06b07478b">CreateActionComponent</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/db1/class_c_a_single_use_turn_on_plugged.html">CASingleUseTurnOnPlugged</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>}</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="keyword">class </span><a class="code hl_function" href="../../dd/d5b/_action_turn_on_transmitter_8c.html#af728ccdc92b1cbbd321db8a345976ac6">ActionTurnOnTransmitter</a>: <a class="code hl_class" href="../../d8/d4f/class_action_turn_on_while_in_hands.html">ActionTurnOnWhileInHands</a></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>{</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d5b/_action_turn_on_transmitter_8c.html#af728ccdc92b1cbbd321db8a345976ac6">ActionTurnOnTransmitter</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../dd/d5b/_action_turn_on_transmitter_8c.html#ae11fc1b33318220e0caf490bdbc20985">   12</a></span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        m_CallbackClass = <a class="code hl_class" href="../../d6/d81/class_action_turn_on_transmitter_c_b.html">ActionTurnOnTransmitterCB</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        m_CommandUID        = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_ITEM_ON;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        m_CommandUIDProne = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_ITEM_ON;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#turn_on&quot;</span>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../dd/d5b/_action_turn_on_transmitter_8c.html#aa9aa4864fae11769c65e644b5fd97c66">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/d4f/class_action_turn_on_while_in_hands.html#a750b599bf0bff6928e658be0ea095761">ActionCondition</a> ( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">if</span> ( item.IsTransmitter() )</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <span class="keywordflow">if</span> ( item.HasEnergyManager() &amp;&amp; !item.GetCompEM().IsWorking() )</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>                <span class="keywordflow">if</span> ( item.IsInherited( <a class="code hl_class" href="../../d0/ddb/class_transmitter_base.html">TransmitterBase</a> ) )</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>                {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>                    <a class="code hl_class" href="../../d0/ddb/class_transmitter_base.html">TransmitterBase</a> transmitter = <a class="code hl_class" href="../../d0/ddb/class_transmitter_base.html">TransmitterBase</a>.Cast( item );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>                    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                    <span class="comment">//transmitter.DisplayRadioInfo( &quot;OFF&quot;, player );</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>                }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../dd/d5b/_action_turn_on_transmitter_8c.html#a26c6922d796bdf663f49119e83fe26f8">   39</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d4f/class_action_turn_on_while_in_hands.html#abdae41754b7cb5b668147329f106c783">OnExecuteServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.GetCompEM().SwitchOn();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>}</div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_action_turn_on_transmitter_8c_html_af728ccdc92b1cbbd321db8a345976ac6"><div class="ttname"><a href="../../dd/d5b/_action_turn_on_transmitter_8c.html#af728ccdc92b1cbbd321db8a345976ac6">ActionTurnOnTransmitter</a></div><div class="ttdeci">ActionTurnOnTransmitterCB ActionSingleUseBaseCB ActionTurnOnTransmitter()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d5b/_action_turn_on_transmitter_8c_source.html#l00001">ActionTurnOnTransmitter.c:11</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_ab8c5796aa8f98fa679639b14db60813f"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">ActionBaseCB::m_ActionData</a></div><div class="ttdeci">protected ActionData m_ActionData</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00003">AnimatedActionBase.c:3</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a82934edb9e2ee84d9c8a45aa66242075"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">ActionData::m_ActionComponent</a></div><div class="ttdeci">ref CABase m_ActionComponent</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00030">ActionBase.c:30</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_action_single_use_base_c_b_html"><div class="ttname"><a href="../../de/df4/class_action_single_use_base_c_b.html">ActionSingleUseBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d93/_action_single_use_base_8c_source.html#l00001">ActionSingleUseBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_turn_on_transmitter_c_b_html"><div class="ttname"><a href="../../d6/d81/class_action_turn_on_transmitter_c_b.html">ActionTurnOnTransmitterCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d5b/_action_turn_on_transmitter_8c_source.html#l00001">ActionTurnOnTransmitter.c:2</a></div></div>
<div class="ttc" id="aclass_action_turn_on_transmitter_c_b_html_a5d36119f620f5d8b7c2165d06b07478b"><div class="ttname"><a href="../../d6/d81/class_action_turn_on_transmitter_c_b.html#a5d36119f620f5d8b7c2165d06b07478b">ActionTurnOnTransmitterCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d5b/_action_turn_on_transmitter_8c_source.html#l00003">ActionTurnOnTransmitter.c:3</a></div></div>
<div class="ttc" id="aclass_action_turn_on_while_in_hands_html"><div class="ttname"><a href="../../d8/d4f/class_action_turn_on_while_in_hands.html">ActionTurnOnWhileInHands</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d9f/_action_turn_on_while_in_hands_8c_source.html#l00001">ActionTurnOnWhileInHands.c:2</a></div></div>
<div class="ttc" id="aclass_action_turn_on_while_in_hands_html_a750b599bf0bff6928e658be0ea095761"><div class="ttname"><a href="../../d8/d4f/class_action_turn_on_while_in_hands.html#a750b599bf0bff6928e658be0ea095761">ActionTurnOnWhileInHands::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d9f/_action_turn_on_while_in_hands_8c_source.html#l00019">ActionTurnOnWhileInHands.c:19</a></div></div>
<div class="ttc" id="aclass_action_turn_on_while_in_hands_html_abdae41754b7cb5b668147329f106c783"><div class="ttname"><a href="../../d8/d4f/class_action_turn_on_while_in_hands.html#abdae41754b7cb5b668147329f106c783">ActionTurnOnWhileInHands::OnExecuteServer</a></div><div class="ttdeci">override void OnExecuteServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d9f/_action_turn_on_while_in_hands_8c_source.html#l00043">ActionTurnOnWhileInHands.c:43</a></div></div>
<div class="ttc" id="aclass_c_a_single_use_turn_on_plugged_html"><div class="ttname"><a href="../../d9/db1/class_c_a_single_use_turn_on_plugged.html">CASingleUseTurnOnPlugged</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/db4/_c_a_single_use_turn_on_plugged_8c_source.html#l00001">CASingleUseTurnOnPlugged.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_transmitter_base_html"><div class="ttname"><a href="../../d0/ddb/class_transmitter_base.html">TransmitterBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d82/_base_radio_8c_source.html#l00001">BaseRadio.c:2</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../dd/d5b/_action_turn_on_transmitter_8c.html">ActionTurnOnTransmitter.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
